List Workflow Versions

Returns a list of all available versions for a specified Workflow.

GET
/v2/manage/workflows/{workflowId}/versions

Returns a list of all available versions for a specified Workflow.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Path Parameters

workflowId*string

The ID of the workflow.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/v2/manage/workflows/1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef/versions"
{
  "Data": [
    {
      "versionId": "v1.0.0",
      "createdDate": "2024-06-17T12:34:56Z"
    }
  ]
}
{
  "ErrorCode": 8191,
  "Message": "Invalid workflow id",
  "Description": "Invalid workflow id, Please provide valid workflow id."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "Message": "Workflow config not found.",
  "Description": "Workflow config not found, Please configure the workflow config.",
  "ErrorCode": 8033
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}